## ros-angles 1.9.10

=== angles/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(angles)

find_package(catkin REQUIRED)
catkin_package(INCLUDE_DIRS include)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h")

include_directories(include)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== angles/test/CMakeLists.txt ===
catkin_add_gtest(utest utest.cpp)

=== debian/changelog ===
ros-angles (1.9.10-1) unstable; urgency=medium

  * Initial package. (Closes: #804825)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2015 01:53:08 +0000

=== debian/control ===
Source: ros-angles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2),
Standards-Version: 3.9.6
Section: libs
Homepage: https://www.ros.org/angles
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-angles.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-angles.git

Package: libangles-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS set of simple math utilities to work with angles
 This package is part of Robot OS (ROS). The utilities cover simple
 things like normalizing an angle and conversion between degrees and
 radians. But even if you're trying to calculate things like the
 shortest angular distance between two joint space positions of your
 robot, but the joint motion is constrained by joint limits, this
 package is what you need. The code in this package is stable and well
 tested.  There are no plans for major changes in the near future.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/angles-$1\.tar\.gz/ \
  https://github.com/ros/angles/releases .*/v?(\d\S*)\.tar\.gz

## ros-angles 1.9.11

=== angles/CMakeLists.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 if(CATKIN_ENABLE_TESTING)
   add_subdirectory(test)
 endif()
+catkin_python_setup()

=== debian/changelog ===
ros-angles (1.9.11-5) unstable; urgency=medium

  * Fix typo in watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jul 2019 21:23:10 +0200

ros-angles (1.9.11-4) unstable; urgency=medium

  * Restrict uscan to ROS 1
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jul 2019 07:40:14 +0200

ros-angles (1.9.11-3) unstable; urgency=medium

  * Add Python 3 package (Closes: #880633)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 22:35:39 +0200

ros-angles (1.9.11-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Add Multi-Arch tag
  * fix location of pc file
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 00:35:04 +0200

ros-angles (1.9.11-1) unstable; urgency=medium

  * Fix homepage link
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.9.11
  * Update policy and debhelper versions
  * Update copyright
  * Update watch file
  * Add python-angles package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Sep 2017 15:00:42 +0200

=== debian/control ===
Source: ros-angles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, python-all, python-setuptools, dh-python, python3-all
Standards-Version: 4.4.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/angles
Vcs-Browser: https://salsa.debian.org/science-team/ros-angles
Vcs-Git: https://salsa.debian.org/science-team/ros-angles.git

Package: libangles-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS set of simple math utilities to work with angles
 This package is part of Robot OS (ROS). The utilities cover simple
 things like normalizing an angle and conversion between degrees and
 radians. But even if you're trying to calculate things like the
 shortest angular distance between two joint space positions of your
 robot, but the joint motion is constrained by joint limits, this
 package is what you need. The code in this package is stable and well
 tested.  There are no plans for major changes in the near future.
 .
 This package contains the development files.

Package: python-angles
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS set of simple math utilities to work with angles (Python 2)
 This package is part of Robot OS (ROS). The utilities cover simple
 things like normalizing an angle and conversion between degrees and
 radians. But even if you're trying to calculate things like the
 shortest angular distance between two joint space positions of your
 robot, but the joint motion is constrained by joint limits, this
 package is what you need. The code in this package is stable and well
 tested.  There are no plans for major changes in the near future.
 .
 This package contains the Python 2 binding.

Package: python3-angles
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS set of simple math utilities to work with angles (Python 3)
 This package is part of Robot OS (ROS). The utilities cover simple
 things like normalizing an angle and conversion between degrees and
 radians. But even if you're trying to calculate things like the
 shortest angular distance between two joint space positions of your
 robot, but the joint motion is constrained by joint limits, this
 package is what you need. The code in this package is stable and well
 tested.  There are no plans for major changes in the near future.
 .
 This package contains the Python 3 binding.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-angles-$1.tar.gz%" \
    https://github.com/ros/angles/tags \
    (?:.*?/)?v?(1.9.\d[\d.]*)\.tar\.gz debian uupdate

## ros-angles 1.9.12

=== angles/test/CMakeLists.txt ===
if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(utest utest.cpp)
  catkin_add_nosetests(utest.py)
endif (CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-angles (1.9.12-1) unstable; urgency=medium

  * New upstream version 1.9.12
  * Drop ROS_PYTHON_VERSION=3 (not needed anymore)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jan 2020 16:19:04 +0100

ros-angles (1.9.11-7) unstable; urgency=medium

  * Add catkin_test_results and d/clean

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 18:45:28 +0100

ros-angles (1.9.11-6) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938367)
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 09:04:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, python-all, python-setuptools, dh-python, python3-all
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), catkin, python3-all, python3-setuptools, dh-python, python3-nose
+Standards-Version: 4.4.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/angles
@@ -28,21 +28,6 @@
  .
  This package contains the development files.
 
-Package: python-angles
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS set of simple math utilities to work with angles (Python 2)
- This package is part of Robot OS (ROS). The utilities cover simple
- things like normalizing an angle and conversion between degrees and
- radians. But even if you're trying to calculate things like the
- shortest angular distance between two joint space positions of your
- robot, but the joint motion is constrained by joint limits, this
- package is what you need. The code in this package is stable and well
- tested.  There are no plans for major changes in the near future.
- .
- This package contains the Python 2 binding.
-
 Package: python3-angles
 Section: python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python3 --sourcedirectory=angles --builddirectory=build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build run_tests
	catkin_test_results
endif

## ros-angles 1.9.13

=== angles/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(angles)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-angles (1.9.13-2) unstable; urgency=medium

  * Simplify d/*.install
  * Fix install for new catkin
  * bump policy version (no changes)
  * drop gitlab-ci

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 10:09:58 +0100

ros-angles (1.9.13-1) unstable; urgency=medium

  * New upstream version 1.9.13
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 09:04:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-angles
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, python3-all, python3-setuptools, dh-python, python3-nose
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, python3-all, python3-setuptools, dh-sequence-python3, python3-nose
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/angles

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --sourcedirectory=angles --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-angles-$1.tar.gz%" \
    https://github.com/ros/angles/tags \
    (?:.*?/)?v?(1.9.\d[\d.]*)\.tar\.gz

## ros-angles 1.16.0

=== angles/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(angles)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)

add_library(angles INTERFACE)
target_include_directories(angles INTERFACE
  "$<INSTALL_INTERFACE:include/angles>")
install(TARGETS angles EXPORT export_angles)

# TODO(sloretz) remove when old-style CMake interface is no longer supported
ament_export_include_directories("include/angles")

ament_export_targets(export_angles)

install(DIRECTORY include/ DESTINATION include/angles)

ament_python_install_package(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-angles (1.16.0-1) unstable; urgency=medium

  * d/watch: Lift version restriction
  * New upstream version 1.16.0
    - Switch to setuptools (Closes: #1020069)
  * Update build system
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2022 09:05:58 +0200

ros-angles (1.9.13-3) unstable; urgency=medium

  * Simplify d/rules
  * Drop nose dependency (Closes: #1018618)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 12:23:34 +0200

=== debian/control ===
Source: ros-angles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/angles
Vcs-Browser: https://salsa.debian.org/science-team/ros-angles
Vcs-Git: https://salsa.debian.org/science-team/ros-angles.git
Description: Robot OS set of simple math utilities to work with angles
 This package is part of Robot OS (ROS). The utilities cover simple
 things like normalizing an angle and conversion between degrees and
 radians. But even if you're trying to calculate things like the
 shortest angular distance between two joint space positions of your
 robot, but the joint motion is constrained by joint limits, this
 package is what you need. The code in this package is stable and well
 tested.  There are no plans for major changes in the near future.

Package: libangles-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ament-cmake-core
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: python3-angles
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package contains the Python 3 binding.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ros/angles/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros-angles 1.16.1

=== angles/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,23 @@
 add_library(angles INTERFACE)
 target_include_directories(angles INTERFACE
   "$<INSTALL_INTERFACE:include/angles>")
+if(WIN32)
+  target_compile_definitions(angles INTERFACE _USE_MATH_DEFINES)
+endif()
+
+if(BUILD_TESTING)
+  find_package(ament_cmake_gtest REQUIRED)
+  ament_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
+  target_include_directories(${PROJECT_NAME}_utest PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+    $<INSTALL_INTERFACE:include>
+  )
+  target_link_libraries(${PROJECT_NAME}_utest angles)
+
+  find_package(ament_cmake_pytest REQUIRED)
+  ament_add_pytest_test(utest test/utest.py)
+endif()
+
 install(TARGETS angles EXPORT export_angles)
 
 # TODO(sloretz) remove when old-style CMake interface is no longer supported

=== debian/changelog ===
ros-angles (1.16.1-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.16.1
  * Enable unit tests

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Sep 2025 20:41:41 +0200

ros-angles (1.16.0-2) unstable; urgency=medium

  * Fix Python SyntaxWarnings in doc strings (Closes: #1087062)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 19:00:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: ros-angles
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- ament-cmake,
  dh-ros,
  dh-sequence-python3,
+ ament-cmake,
+ ament-cmake-googletest <!nocheck>,
+ ament-cmake-pytest <!nocheck>,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/angles
@@ -29,7 +33,9 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ament-cmake-core
+Depends:
+ ament-cmake-core,
+ ${misc:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}
  .
@@ -38,7 +44,10 @@
 Package: python3-angles
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: ${source:Synopsis} (Python 3)
  ${source:Extended-Description}
  .

=== debian/rules ===
#!/usr/bin/make -f

export ROS_EXECUTE_AFTER_CONFIGURE=sed -i -e '1icmake_policy(SET CMP0057 NEW)' -e '$$aset(angles_FOUND_CATKIN_PROJECT TRUE)\nset(angles_INCLUDE_DIRS "/usr/include/angles")' obj-$(DEB_HOST_GNU_TYPE)/angles/ament_cmake_core/anglesConfig.cmake

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: angles
